curl --request POST \
--url https://partner.peaka.studio/api/v1/data/projects/{projectId}/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "apple"
}
'{
"matchedCatalogs": [
{
"catalog": "apple_catalog"
}
],
"matchedSchemas": [
{
"catalog": "my_catalog",
"schema": "apple_schema"
}
],
"matchedTables": [
{
"catalog": "my_catalog",
"schema": "apple_schema",
"table": "apple_table"
},
{
"catalog": "my_catalog",
"schema": "another_schema",
"table": "another_apple_table"
}
],
"meta": {
"page": {
"limit": 100,
"offset": 0,
"nextOffset": null
},
"query": {
"text": "apple"
}
}
}Data -- Catalogs
Search
Search for catalogs, schemas, and tables across the project. You can filter the search results by specifying a catalog or schema. You can also specify a limit and offset for pagination.
See the request body for more details.
POST
/
data
/
projects
/
{projectId}
/
search
curl --request POST \
--url https://partner.peaka.studio/api/v1/data/projects/{projectId}/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "apple"
}
'{
"matchedCatalogs": [
{
"catalog": "apple_catalog"
}
],
"matchedSchemas": [
{
"catalog": "my_catalog",
"schema": "apple_schema"
}
],
"matchedTables": [
{
"catalog": "my_catalog",
"schema": "apple_schema",
"table": "apple_table"
},
{
"catalog": "my_catalog",
"schema": "another_schema",
"table": "another_apple_table"
}
],
"meta": {
"page": {
"limit": 100,
"offset": 0,
"nextOffset": null
},
"query": {
"text": "apple"
}
}
}

Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Body
application/json
Search Anywhere